Bug 186006 - gnome-power-manager failes to wake screen after suspend with nvidia/ati modules loaded
gnome-power-manager failes to wake screen after suspend with nvidia/ati modul...
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2006-03-20 17:07 EST by Stewart Adam
Modified: 2015-03-04 20:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-03 11:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2006-03-20 17:07:18 EST
Description of problem:
When using gnome-power-manager to suspend / hibernate a computer with the Nvidia
or ATi (I havn't actually seen the ATi part as I don't own a ATi card, but I've
heard the same thing happens) kernel module loaded, the screen will never wake
up from the suspend or hibernate, forcing the user to unplug the system. This in
turn can cause filesystem damage that can cause serious problems! (Same issue in
FC4 and I had to reformat once because this heppened)

Version-Release number of selected component (if applicable):
Fedora Core 4 (with acpid)
Fedora Core 5 (with gnome-power-manager-2.13-93)

How reproducible:

Steps to Reproduce:
1. Install the Nvidia kernel module (either from the nvidia site or Livna RPM)
2. Install gnome-power-manager
3. Suspend / Hiberate
4. Hit a key or move mouse to "wake up" the computer
Actual results:
the screen goes black, then a "no signal" message displayed is by the screen

Expected results:
Screen should "wake up" meaning an image should return instead of "no signal"

Additional info:
Although it works fine without the nvidia module, great work guys!!
Comment 1 Richard Hughes 2006-03-20 17:11:22 EST
Sounds like a kernel bug.

>it works fine without the nvidia module

Then it's not a gnome-power-manager bug, please report to nvidia.
Comment 2 Stewart Adam 2006-08-19 09:00:41 EDT
I've done more investigation into this, and it's a combo of problems.
Firstly, it seems that I cannot suspent without using nVidia's AGP, and not
AGPGART - I have to boot with agp=off for it to work (I have a AGP 4x card)

Also, in /etcpm/functions-whatever, one must comment the line 'vbetool post'.
After that, I was able to get the screen to resume.
Comment 3 Stewart Adam 2006-08-19 09:04:43 EDT
Sorry, I meant /etc/pm/functions-whatever. In my case, I had to edit
functions-nvidia, but for others I'm guessing it would require the respective file.

Note You need to log in before you can comment on or make changes to this bug.